:root {
    --primary-color: #f57921;
    --dark-color: #3a3a3c;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: RegularFont;
    src: url('../fonts/Candara.ttf');
}

@font-face {
    font-family: RegularLight;
    src: url('../fonts/Candaral.ttf');
}

@font-face {
    font-family: BoldFont;
    src: url('../fonts/Candarab.ttf');
}

img {
    max-width: 100%;
}

a {
    color: var(--dark-color);
}
body {
    font-family: 'RegularFont', sans-serif;
    font-size: 16px;
    color: var(--dark-color);
    overflow-x: hidden;
}

/* Overlay styles */
.page-transition{
    position: absolute;
    z-index: 9999;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    pointer-events: none;
    background-color: var(--primary-color);
    -webkit-transform: scaleY(0);
    transform: scaleY(0);
}

.loading-container {
    background: #f4f4f4;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
}

.loading-container .logo {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    color: white;
    font-family: Arial, sans-serif;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 99;
}

.progress-bar {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    border: 1px solid rgba(0, 0, 0, 0.1);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
}

.progress {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    clip-path: circle(50%);
    border: 10px solid transparent;
    border-top-color: var(--primary-color);
    z-index: 5;
    transform: rotate(0deg);
}


.container-fluid {
    padding-left: 30px;
    padding-right: 30px;
}
/* .container {
    max-width: 80rem;
    padding-left: 15px;
    padding-right: 15px;
    margin: 0 auto;
} */

header {
    padding: 20px 0;
    /* border-bottom: 1px solid #fefefe; */
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    width: 160px;
}

nav ul {
    display: flex;
    gap: 40px;
    list-style-type: none;
    margin: 0;
}

nav ul li {
    position: relative;
}

nav ul li a {
    text-decoration: none;
    color: var(--dark-color);
    font-size: 18px;
    position: relative;
}

nav ul li::after {
    content: "";
    width: 0%;
    height: 2px;
    background-color: var(--primary-color);
    position: absolute;
    bottom: -14px;
    left: 0;
    transition: all 0.5s;
}

nav ul li.active::after {
    width: 100%;
    transition: all 0.5s;
}

nav ul li:hover::after {
    width: 100%;
}

.right-menu {
    list-style-type: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 20px;
    margin: 0;
}



.right-menu li img {
    width: 36px;
}

.right-menu .menu-icon img {
    width: 26px;
}
.menu-btn,
.mobile-sidebar{
    display: none;
}
.background-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-size: cover;
    background-position: center;
    z-index: -1;
    transition: background-image 0.5s ease-in-out;
    opacity: 0.15;
}

.content-fullscreen {
    height: calc(100dvh - 80px);
    position: relative;
    width: 100vw;
    overflow: hidden;
}

/* Base styling for the Swiper container */
.hero-bg-overlay {
    background: rgb(0 0 0 / 57%);
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 1;
}


.home-slider {
    width: 100vw;
    position: absolute;
    top: 50%;
    transform: translateY(-50%) scale(1.2);
}

.home-slider .swiper-slide {
    text-align: center;
    font-size: 24px;
    height: 100%;
    /* Full height */
    /* Add smooth scaling */
    transition: transform 0.5s ease;
    transform: scale(0.8);
    /* Default scale for non-active slides */
    opacity: .5;
    position: relative;
}
.home-slider .swiper-slide img {
    height: 20vw;
    width: 100%;
    object-fit: cover;
}
.home-slider .swiper-slide .slide-content {
    opacity: 0;
    transition: 1s;
    transform: translateY(20px);
}

/* Scale up the active slide */
.home-slider .swiper-slide-active {
    transform: scale(1);
    /* Scale the centered active slide */
    opacity: 1;
    transition-delay: 1.2s;
}

.home-slider .swiper-slide-active .slide-content {
    opacity: 1;
    transition: 1s;
    transition-delay: 1.5s;
    transform: translateY(0px);
}

.home-slider .swiper-slide-active img {
    border-radius: 60px 0;    
    transition: all 0.5s;
    transition-delay: 1.2s;
}

.slide-content {
    display: inline-block;
    position: relative;
    padding: 0 20px;
    margin-top: 20px;
}

/* .slide-content::before {
    content: "";
    background: #f2efed;
    border-radius: 15px 15px 0 0;
    width: 100%;
    height: 19px;
    left: 0;
    right: 0;
    top: -33px;
    position: absolute;
} */

.slide-content h1 {
    font-weight: 400;
    font-family: 'RegularLight';
    /* margin-top: -25px; */
    text-transform: uppercase;
    z-index: 1;
    position: relative;
}

.slide-content h1 span {
    color: var(--primary-color);
    font-family: "BoldFont", sans-serif;
}

.home-slider span.outlined-text {
    font-size: 100px;
    color: transparent;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: white;
    text-transform: uppercase;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    font-family: 'BoldFont', sans-serif;
    margin-top: -100px;
    width: 100vw;
}

/* Swiper Navigation */
#home-navigation {
    position: absolute;
    bottom: 8%;
    width: 100%;
    display: flex;
    justify-content: space-between;
    pointer-events: none;
    z-index: 10;
}

#home-navigation .swiper-button-prev,
#home-navigation .swiper-button-next {
    pointer-events: all;
    border: 1px solid var(--dark-color);
    background-color: transparent;
    border-radius: 50px;
    color: var(--dark-color);
    padding: 5px 20px;
    cursor: pointer;
    font-size: 16px;
    width: initial;
    height: initial;
}

#home-navigation .swiper-button-next::after,
#home-navigation .swiper-button-prev::after {
    display: none;
}

#home-navigation .swiper-button-prev {
    margin-left: 12vw;
}

#home-navigation .swiper-button-next {
    margin-right: 12vw;
}

#home-navigation .swiper-button-next img,
#home-navigation .swiper-button-prev img {
    width: 26px;
}

#home-navigation .swiper-button-prev img {
    transform: rotate(-180deg);
}

#home-navigation .swiper-button-next:hover,
#home-navigation .swiper-button-prev:hover {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
    transition: all .5s;
}

/* End of Swiper navigation */

/* Swiper Pagination */
#home-pagination {
    position: absolute;
    bottom: 2%;
    left: 50%;
    transform: translateX(-50%);
    font-size: 34px;
    color: var(--dark-color);
    width: 150px;
    font-family: 'RegularLight';
    z-index: 10;
}

/* Hero Slider */
.hero-fullscreen {
    height: 100dvh;
    width: 100%;
    background-color: #3a3a3c;
    overflow: hidden;
}

.hero-slider {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
}

/* .hero-slider::before {
    content: "";
    background: hsl(0deg 0% 0% / 50%);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 2;
} */

.hero-slider .swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
}

.hero-slider .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-header {
    position: absolute;
    top: 40px;
    left: 40px;
    z-index: 99;
}

.hero-logo {
    width: 180px;
}

.hero-content {
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
    position: relative;
    text-align: center;
    z-index: 9;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 15px;
}

.hero-content h2 {
    color: #fff;
    font-size: 2rem;
    text-transform: uppercase;
}

.hero-content h1 {
    font-family: 'RegularLight', sans-serif;
    color: var(--primary-color);
    font-size: 4rem;
    text-transform: uppercase;
}

.explore-button {
    position: absolute;
    bottom: 4vw;
    z-index: 9;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 500px;
}

.explore-button a {
    color: #fff;
    border: 1px solid;
    border-radius: 50px;
    padding: 10px 40px;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 1rem;
    flex: 1;
    position: relative;
    overflow: hidden;
    display: inline-block;
    transition: all 0.5s;
}

.explore-button a:before {
    content: "";
    width: 0%;
    height: 100%;
    background-color: var(--primary-color);
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    border-radius: 500px;
    z-index: -9;
    transition: all 0.5s;
}

.explore-button a:hover:before {
    width: 100%;
    transition: all 0.5s;
}

.explore-button a:hover {
    transform: scale(1.1);
    transition: all 0.5s;
}
.about-page {
    /* background-repeat: no-repeat; */
    background-size: 100%;
}
.about-text-block{
    padding-top: 50px;
    text-align: center;
}
p {
    margin-bottom: 10px;
}
.divider {
    margin: 80px 0;
}
h1.title {
    color: var(--primary-color);
    font-family: "RegularLight";
    margin-bottom: 30px;
    text-transform: uppercase;
    font-size: 3rem;
}
section.pt-80 {
    padding: 80px 0
}
.team-section {
    background-color: #e6e6e6;
    margin: 80px 0 0;
}
.team-section .col-md-4 {
    padding-left: 30px;
    padding-right: 30px;
    text-align: center;
}
.team-img {
    margin-bottom: 20px;
    border-radius: 0 40px 0 40px;
    overflow: hidden;
}
.team-desc h2 {
    color: var(--primary-color);
    text-transform: uppercase;
}
footer {
    background: #505050;
    color: #e2e2e2;
    padding: 50px 0 0 0;
}
.ft-widget {
    padding-right: 50px;
}
.ft-widget h2 {
    color: var(--primary-color);
    margin-bottom: 20px;
    font-size: 22px;
}
.ft-widget .address-block {
    margin-bottom: 20px;
    text-transform: capitalize;
}
.ft-widget p { 
    margin: 0;
}
 ul.social-icons {
    list-style: none;
    display: flex;
    gap: 10px;
    margin: 0;
    padding: 0;
}
 .social-icons li {
    width: 24px;
}
.container.copyright {
    border-top: 1px solid #e2e2e2;
    padding: 20px;
    margin-top: 30px;
}

.container.copyright p {
    margin: 0;
}

#cursor {
    width: 50px;
    height: 50px;
    border-radius: 500px;
    border: 1px solid var(--primary-color);
    position: fixed;
    z-index: 1;
    pointer-events: none;
    display: none;
}
.in-section {
    padding: 80px 0;
}
.contact-form input,
.contact-form textarea {
    width: 100%;
    padding: 15px 0;
    border: none;
    border-bottom: 1px solid gainsboro;
    margin-bottom: 10px;
    outline: none;
}
.contact-form input::placeholder,
.contact-form textarea::placeholder {
    color: #aaaaaa;
}
.contact-form textarea {
    resize: none;
}
.contact-form input[type="submit"] {
    width: 250px;
    margin: 0 auto;
    border-radius: 500px;
    background-color: var(--dark-color);
    color: #fff;
}
.ad-icon {
    width: 40px;
    margin-bottom: 30px;
}

p.small-title {
    font-size: 22px;
    text-transform: uppercase;
}

.address-text {
    margin-bottom: 16px;
    text-transform: capitalize;
}

.address-row .col-md-4 {
    padding: 0 20px;
}
.center-block {
    border-left: 1px solid gainsboro;
    border-right: 1px solid gainsboro;
}
h1.black-title {
    font-family: 'RegularLight';
    text-transform: uppercase;
    font-size: 5rem;
    text-align: center;
    margin-bottom: 50px;
    letter-spacing: 10px;
}

.swiper-gallery {
    position: relative;
    margin-bottom: 15px;
}
.swiper-gallery .swiper-pagination {
    position: relative;
    margin-top: 0px;
    bottom: 0;
    top: auto;
}
.swiper-gallery .swiper-pagination-bullet {
    margin: 0 8px !important;
}
.swiper-gallery .swiper-pagination-bullet-active {
    background: var(--primary-color);
}
.swiper-gallery .gallery-name {
    position: absolute;
    bottom: 25px;
    z-index: 9;
    color: #fff;
    right: 0;
    left: 0;
    text-align: center;
}

.cl-flex-items {
    display: flex;
    gap: 60px;
    justify-content: center;
    align-items: center;
    margin-bottom: 30px;
}
.cl-flex-items:last-of-type {
    margin: 0;
}

.cl-flex-items .cl-logo {
    width: 150px;
    height: 90px;
}

.cl-flex-items .cl-logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.swiper-clients .swiper-pagination {
    position: relative;
    margin-top: 50px;
}
.swiper-clients .swiper-pagination-bullet {
    margin: 0 8px !important;
}
.swiper-clients .swiper-pagination-bullet-active {
    background: var(--primary-color);
}

section.milestones {
    padding: 80px 0 0 0;
}

ul.milestone-list {
    list-style: none;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 50px;
}
.milestone-list li {
    width: 200px;
}
.ms-block h1 {
    font-size: 4rem;
    color: var(--primary-color);
    font-weight: 700;
}

.ms-block p {
    text-transform: uppercase;
    color: gray;
}

.ms-block {
    text-align: center;
    width: 150px;
}
.scroll-about .title {
    margin-bottom: 10px;
}
.clients-section {
    padding-top: 80px;
}
.clients-section h1.title {
    margin-bottom: 15px;
}
.swiper-gallery .swiper-wrapper {
    text-align: center;
}
.swiper-gallery .swiper-slide {
    background-color: gainsboro;
}

.title-tst {
    font-size: 3rem;
    text-transform: uppercase;
    letter-spacing: 10px;
    font-family: 'RegularLight';
}
.tst-title-block{
    margin-bottom: 30px;
}
.tst-title-block span.divider-line {
    display: inline-block;
    width: 20%;
    height: 2px;
    background: var(--primary-color);
}
.testi-slider .swiper-slide .tst-item {
    background: var(--primary-color);
    border-radius: 80px 0;
    padding: 40px;
    color: #fff;
    opacity: 0.3;
    text-align: center;
    transition: all .3s;
}
.testi-slider .swiper-slide-active .tst-item {
    opacity: 1;
}
.tst-item h3{
    font-size: 16px;
}
.tst-item h4{
    font-size: 14px;
}
.tst-item p{
    margin-bottom: 30px;
}

.testi-slider .swiper-pagination {
    position: relative;
    margin-top: 50px;
}
.testi-slider.swiper-pagination-bullet {
    margin: 0 8px !important;
}
.testi-slider .swiper-pagination-bullet-active {
    background: var(--primary-color);
}
section.scroll-about {
    padding: 50px 0;
}

section.design-stats {
    background-color: rgb(246 122 35 / 5%);
}

.ds-block img {
    width: 70px;
    height: 70px;
    object-fit: contain;
    margin-bottom: 20px;
}
.ds-block h3 {
    text-transform: uppercase;
    color: var(--primary-color);
    text-transform: uppercase;
    font-family: "RegularLight";
}
.ds-block h4 {
    font-size: 18px;
}

.ds-block {
    text-align: center;
    margin: 40px 0;
}
.service-jumbo {
    padding: 150px 0;
}
.service-jumbo h4 {
    font-family: "RegularLight";
}
.service-jumbo .contact-btn {
    padding: 15px 40px;
    background-color: var(--primary-color);
    display: inline-block;
    color: #fff;
    text-transform: uppercase;
    text-decoration: none;
    margin-top: 50px;
    border: 1px solid transparent;
    transition: all 0.3s;
}
.service-jumbo .contact-btn:hover {
    background-color: white;
    border-color: var(--primary-color);
    color: var(--primary-color);
    transform: scale(1.1);
    transition: all 0.3s;
}
.uk-inline {
    margin-bottom: 30px;
    text-decoration: none;
}
.uk-inline p{
    margin: 10px 0;
}
  